Subject: Re: [PATCH 2/6] test-lib: refactor $GIT_SKIP_TESTS matching

From: Johannes Sixt <[email-masked]>
Date: Fri, 17 May 2013 23:29:12 +0200

Am 17.05.2013 19:02, schrieb Thomas Rast:
> At this point the splitting has already happened in the caller when it
> does the (refactored)
> 
> +	if match_pattern_list $this_test.$test_count $GIT_SKIP_TESTS
> 
> So $@ and "$@" is actually the same thing.

Not in general: If you omit the double-quotes, the individual words
still undergo path name expansion and the result depends on the files
that happen to match patterns given in $GIT_SKIP_TESTS.

This is not a new problem at the call site of the new function, but we
shouldn't duplicate the same problem in the implementation of the function.

-- Hannes